%define anolis_release 3
%global fontname adobe-source-code-pro
%global fontconf 61-%{fontname}.conf

%global version_roman  2.038
%global version_italic 1.058
%global version_var 1.018

Summary:        A set of mono-spaced OpenType fonts designed for coding environments
Name:           %{fontname}-fonts
Version:        %{version_roman}.%{version_italic}.%{version_var}
Release:        %{anolis_release}%{?dist}


License:        OFL
URL:            https://github.com/adobe-fonts/source-code-pro
Source0:        %{url}/archive/refs/tags/%{version_roman}R-ro/%{version_italic}R-it/%{version_var}R-VAR.tar.gz
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
This font is an open-source monospaced typeface designed by
Paul D. Hunt for Adobe Systems. It was created to improve the
legibility of coding fonts and is widely used by developers and
designers worldwide. This typeface is available in multiple
weights and styles, making it versatile and adaptable to different
design projects. Adobe Source Code Pro is a popular choice for
coding and programming environments, as it is easy to read and
distinguish between different characters, even at small font sizes.
It is free to use and can be downloaded from the Adobe website.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n source-code-pro-%{version_roman}R-ro-%{version_italic}R-it-%{version_var}R-VAR
sed -i 's/\r//' LICENSE.md

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p OTF/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.otf
%license LICENSE.md
%{_datadir}/appdata/%{fontname}.metainfo.xml


%files doc
%doc README.md

%changelog
* Thu Apr 13 2023 Kun(llfl) <llfl@linux.alibaba.com> - 2.038.1.058-3
- optimize spec file

* Fri Mar 10 2023 yuan hui <yuanhui@linux.alibaba.com> - 2.038.1.058-2
- Add doc package

* Tue Apr 12 2022 yuan hui <yuanhui@linux.alibaba.com> - 2.038.1.058-1
- Init adobe-source-code-pro-fonts for AnolisOS 23
